# vue-cli-plugin-antd


## Usage

```
vue add antd
```

or

```
yarn add vue-cli-plugin-antd -D
npm install vue-cli-plugin-antd -D

vue invoke antd
```

## PLUGIN OPTIONS
```typescript
export type AntdPluginOption = {
  /**
   * @description 组件是否全量导入，还是模块化导入
   * @default modularized
   */
  importType?: 'full' | 'modularized';

  /**
   * @description 样式文件使用 less 或 css ,ture 加载 less 文件
   * @default true
   */
  style?: true | 'css';

  /**
   * @description 相关依赖版本
   */
  version?: {
    'ant-design-vue'?: string;
    less?: string;
    'less-loader'?: string;
    'babel-plugin-import'?: string;
  };

  [key: string]: any;
};

```
