import type { PluginAPI, ProjectOptions } from '@vue/cli-service';
export declare type AntdPluginOption = {
    /**
     * @description 组件是否全量导入，还是模块化导入
     * @default modularized
     */
    importType?: 'full' | 'modularized';
    /**
     * @description 样式文件使用 less 或 css ,ture 加载 less 文件
     * @default true
     */
    style?: true | 'css';
    /**
     * @description 相关依赖版本
     */
    version?: {
        'ant-design-vue'?: string;
        less?: string;
        'less-loader'?: string;
        'babel-plugin-import'?: string;
    };
    [key: string]: any;
};
/**
 * 默认插件配置
 */
export declare const DEFAULT_ANTD_PLUGIN_OPTION: AntdPluginOption;
declare const _default: (api: PluginAPI, projectOptions: ProjectOptions) => void;
export default _default;
